use std::fs;
use std::io;
use rand::Rng;

fn main() -> io::Result<()> {
    let file_contents: String = fs::read_to_string("insults")?;
    let lines: Vec<&str> = file_contents.split('\n').collect();
    let mut adjectives: Vec<String> = Vec::new();
    let mut nouns: Vec<String> = Vec::new();
    let mut noun = false; // nouns is set to true when we have reached the nouns section in the file
                       // so should start pushing insults to nouns instead of adjectives
    let num_of_adjectives: u64 = 2;

    for line in lines {
        if line == "" {
            noun = true;
            continue;
        }
        if noun {
            nouns.push(line.to_string());
        }
        else if noun != true {
            adjectives.push(line.to_string());
        }
    }

    for _x in 0..num_of_adjectives {
        let random_adjective = adjectives[rand::thread_rng().gen_range(0..adjectives.len())].clone();
        print!("{}, ", random_adjective);
    }
    let random_noun = nouns[rand::thread_rng().gen_range(0..nouns.len())].clone();
    print!("{}\n", random_noun);

    Ok(())
}
